Bug 851069 - Failure when deleting last domain using rhevm-manage-domains
Failure when deleting last domain using rhevm-manage-domains
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-config (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Yaniv Bronhaim
Pavel Stehlik
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-23 04:03 EDT by Yaniv Bronhaim
Modified: 2016-02-10 14:40 EST (History)
7 users (show)

See Also:
Fixed In Version: si17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:58:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Bronhaim 2012-08-23 04:03:09 EDT
Description of problem:
As stated above, removing the last domain doesn't clear the domain name configuration, as a result of this the following occurs:
a. user will see the domain at the domains list at webadmin login page, but there is no user he can use to login with.
b. if user logins with admin@internal and tries to search for users in the deleted domain, nothing will happen (as you need a user configured for the domain in order to perform search).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 6 Yaniv Bronhaim 2012-08-30 10:53:48 EDT
suggest fix:
http://gerrit.ovirt.org/#/c/7604/
and
In http://gerrit.ovirt.org/#/c/7627/1 I suggest 3 more fixes for ManageDomainsResult that also solve errors in output messages.
Comment 10 Yaniv Kaul 2012-09-13 08:04:53 EDT
SI18 - VERIFIED:
[root@ykaul-rhevm3 dbscripts]# rhevm-manage-domains -action=add -domain=qa.lab.tlv.redhat.com -provider=ActiveDirectory -user=vdcadmin -interactive
Enter password:

Cannot connect to LDAP server qa2-tlv.qa.lab.tlv.redhat.com.:389. Trying next LDAP server in list (if exists)
WARNING: No permissions were added to the Engine. Login either with the internal admin user or with another configured user.
Successfully added domain qa.lab.tlv.redhat.com. oVirt Engine restart is required in order for the changes to take place (service ovirt-engine restart).
Manage Domains completed successfully
[root@ykaul-rhevm3 dbscripts]# rhevm-manage-domains -action=delete -domain=qa.lab.tlv.redhat.com
WARNING: Domain qa.lab.tlv.redhat.com is the last domain in the configuration. After deleting it you will have to either add another domain, or to use the internal admin user in order to login.
Successfully deleted domain qa.lab.tlv.redhat.com. Please remove all users and groups of this domain using the Administration portal or the API. oVirt Engine restart is required in order for the changes to take place (service ovirt-engine restart).
Manage Domains completed successfully

Note You need to log in before you can comment on or make changes to this bug.